SystemOrganization addCategory: #'OB-Tests-Polymorph'!

TestCase subclass: #OBMenuMorphTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OB-Tests-Polymorph'!

!OBMenuMorphTest methodsFor: 'callbacks' stamp: 'lr 12/28/2011 10:08'!
longDescription
	^ 'Long description'! !

!OBMenuMorphTest methodsFor: 'tests' stamp: 'lr 12/16/2011 08:23'!
testAddMenu
	| menu |
	menu := MenuMorph new.
	menu 
		add: 'test item'
		target: self
		selector: #execute
		enabled: true
		icon: nil
		keystroke: nil! !

!OBMenuMorphTest methodsFor: 'tests' stamp: 'lr 12/28/2011 10:08'!
testAddSubmenu
	| menu submenu |
	menu := MenuMorph new.
	submenu := menu
		addSubmenu: 'test item'
		enabled: true.
	self assert: menu class == submenu class! !

TestCase subclass: #OBMorphBuilderTest
	instanceVariableNames: 'model'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OB-Tests-Polymorph'!

!OBMorphBuilderTest methodsFor: 'accessing' stamp: 'lr 12/16/2011 08:29'!
build: aModel
	^ self builder visit: aModel! !

!OBMorphBuilderTest methodsFor: 'accessing' stamp: 'lr 12/16/2011 08:28'!
builder
	^ OBPolymorphBuilder new! !

!OBMorphBuilderTest methodsFor: 'running' stamp: 'lr 12/16/2011 08:30'!
setUp
	model := OBFakeBrowser new! !

!OBMorphBuilderTest methodsFor: 'tests' stamp: 'lr 12/16/2011 08:30'!
tests01BrowserCreatesWindow
	| morph |
	morph := self build: model.
	self assert: (morph isKindOf: SystemWindow).
	self assert: morph model == model! !

!OBMorphBuilderTest methodsFor: 'tests' stamp: 'lr 12/18/2011 12:57'!
tests02BrowserAddsPanels
	| morph morphs |
	morph := self build: model.
	morphs := morph allMorphs select: [ :ea | ea respondsTo: #model ].
	self assert: (morphs count: [ :ea | ea model class = OBDefinitionPanel ]) = 1.
	self assert: (morphs count: [ :ea | ea model class = OBColumnPanel ]) = 1! !

!OBMorphBuilderTest methodsFor: 'tests' stamp: 'lr 12/18/2011 12:59'!
tests03ColumnAddsList
	| morph morphs |
	morph := self build: model.
	morphs := morph allMorphs select: [ :ea | ea respondsTo: #model ].
	self assert: (morphs count: [ :ea | ea model class = OBList ]) = 4! !

!OBMorphBuilderTest methodsFor: 'tests' stamp: 'lr 12/16/2011 08:48'!
tests04ColumnAddsButton
	| morph morphs |
	morph := self build: model.
	morphs := morph allMorphs select: [ :ea | ea respondsTo: #model ].
	self assert: (morphs count: [ :ea | ea model class = OBButton ]) = 2! !
